V1
get
/ec-dc-svc/rest/v1/studies/{studyId}/{mode}/subjects/{subjectId}/orgid
Retrieves the organization ID (OrgId) used to generate subject number.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890 -
subjectId(required): string(uuid)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Subjects success.
Root Schema : schema
Type:
Show Source
array-
Array of:
object SubjectOrgIdDto v1
Title:
SubjectOrgIdDto v1OrgId used to generate subject number
Nested Schema : SubjectOrgIdDto v1
Type:
objectTitle:
SubjectOrgIdDto v1OrgId used to generate subject number
Show Source
-
orgId: string
Site/Organization unique identifier (UUID, 32-character uppercase hexadecimal string)Example:
ABCDEF1234567890ABCDEF1234567890
Examples
400 Response
Bad request.
Nested Schema : result
Type:
objectNested Schema : details
Type:
object